<!--The content below is only a placeholder and can be replaced.-->
<div id="body-container" fxFill fxLayout="column" fxLayoutAlign="start stretch" fxLayoutGap="8px">
  <div fxFlex="grow" *ngIf="isLoading" fxLayout="row" fxLayoutAlign="center center">
    <mat-spinner></mat-spinner>
  </div>
  <div id="table-container" fxFlex="grow" *ngIf="!isLoading" fxLayout="column" fxLayoutAlign="start stretch">
    <table mat-table [dataSource]="dataSource" multiTemplateDataRows class="mat-elevation-z8">
      <ng-container matColumnDef="recordTime">
        <th mat-header-cell *matHeaderCellDef>Date</th>
        <td mat-cell *matCellDef="let element">
          <div fxLayout="column" fxLayoutAlign="start start">
            <span *ngIf="element.isHeadDate">{{element.recordTime | date:'yyyy/MM/dd'}}</span>
            <span>{{element.recordTime | date:'HH:mm'}}</span>
          </div>
        </td>
      </ng-container>
    
      <ng-container matColumnDef="breastMilkAmount">
        <th mat-header-cell *matHeaderCellDef>
          <div fxLayout="column" fxLayoutAlign="start start">
            <span>Breast</span>
            <span>Milk</span>
          </div>
        </th>
        <td mat-cell *matCellDef="let element"> {{element.breastMilkAmount}} </td>
      </ng-container>
    
      <ng-container matColumnDef="formulaMilkAmount">
        <th mat-header-cell *matHeaderCellDef>
          <div fxLayout="column" fxLayoutAlign="start start">
            <span>Formula</span>
            <span>Milk</span>
          </div>
        </th>
        <td mat-cell *matCellDef="let element"> {{element.formulaMilkAmount}} </td>
      </ng-container>
  
      <ng-container matColumnDef="hasPee">
        <th mat-header-cell *matHeaderCellDef>Pee</th>
        <td mat-cell *matCellDef="let element">
          <mat-icon *ngIf="element.hasPee===true">check</mat-icon>
          <mat-icon *ngIf="element.hasPee===false">close</mat-icon>
        </td>
      </ng-container>
  
      <ng-container matColumnDef="hasPoop">
        <th mat-header-cell *matHeaderCellDef>Poop</th>
        <td mat-cell *matCellDef="let element">
          <mat-icon *ngIf="element.hasPoop===true">check</mat-icon>
          <mat-icon *ngIf="element.hasPoop===false">close</mat-icon>
        </td>
      </ng-container>

      <ng-container matColumnDef="expandedDetail">
        <td mat-cell *matCellDef="let element" [attr.colspan]="displayedColumns.length">
          <div class="expanded-detail" [@detailExpand]="element.solidFood ? 'expanded' : 'collapsed'">
            <mat-chip-list *ngIf="element.solidFood">
              <mat-chip *ngFor="let food of splitSolidFoods(element.solidFood)"
                (click)="editRecord(element)">{{food}}</mat-chip>
            </mat-chip-list>
          </div>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="editRecord(row)"
        [ngClass]="{'element-row': true, 'clicked-row': selectedRecordId === row.id}"></tr>
      <tr mat-row *matRowDef="let row; columns: ['expandedDetail']" (click)="editRecord(row)"
        [ngClass]="{'expanded-detail-row': true, 'clicked-row': selectedRecordId === row.id}"></tr>
    </table>
  </div>

  <button *ngIf="!isLoading" id="add-record-btn" mat-fab color="primary" [matMenuTriggerFor]="menu"><mat-icon>more_vert</mat-icon></button>
  <mat-menu #menu="matMenu">
    <button mat-menu-item (click)="addRecord()">Add Record</button>
    <button mat-menu-item (click)="displayDailyRecord()">Daily Total</button>
  </mat-menu>
</div>

<router-outlet></router-outlet>
